gr::gsm::uplink_downlink_splitter Class Reference

<+description of block+> More...

`#include <uplink_downlink_splitter.h>`

Inheritance diagram for gr::gsm::uplink_downlink_splitter:

## Public Types

typedef std::shared_ptr< uplink_downlink_splitter > | sptr

## Static Public Member Functions

static sptr | make ()
| Return a shared_ptr to a new instance of grgsm::uplink_downlink_splitter.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<uplink_downlink_splitter> gr::gsm::uplink_downlink_splitter::sptr

## Member Function Documentation

## make()

sptr gr::gsm::uplink_downlink_splitter::make | ( |  | ) |

static

Return a shared_ptr to a new instance of grgsm::uplink_downlink_splitter.

To avoid accidental use of raw pointers, grgsm::uplink_downlink_splitter's constructor is in a private implementation class. grgsm::uplink_downlink_splitter::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- uplink_downlink_splitter.h